<?php
require_once('User.php');
/* 
    getMoney: (moneyList) ->
        for user in @users
            user.getMoney(moneyList)
        
    getLastId: ->
        @sort()
        @users[@users.length-1].id_user
        
    findById: (id) ->
        for user in @users
            if user.id_user is parseInt(id) then return user
        return false
        
    removeUser: (user) ->
        i = @users.indexOf user
        @users.splice i,1
        
    sort: -> 
        @users.sort (a, b) -> 
            if (a.id_user < b.id_user)
                return -1;
            else if (a.id_user > b.id_user)
                return 1;
            else 
                return 0;
 */
class UserList {
    private $users;
    
    public function __construct() {
        $this->users = array();
        array_push($this->users, 
            new User(1, "Antonín", "Neumann", "1989-09-07T00:00:00.000Z", "male"),
            new User(2, "Iveta", "Dobrá", "1992-02-06T00:00:00.000Z", "female"),
            new User(3, "Jan", "Novák", "1991-07-13T00:00:00.000Z", "male"),
            new User(4, "Jonh", "Doe", "1999-09-09T00:00:00.000Z", "male") 
        );
    }
    
    public function addUser($userdata){ 
        $usr_array_id = array_push($this->users, 
            new User(
                $this->getLastId()+1, 
                $userdata->name, 
                $userdata->lastname, 
                $userdata->birthday, 
                $userdata->gender
            )
        );
        return $this->users[$usr_array_id-1];
    }
    
    public function getAllUsers(){
        return $this->users;
    }
    
    public function getLastId(){
        usort($this->users, function($a, $b){
            if ($a->id_user < $b->id_user){
                return -1;
            } else if ($a->id_user > $b->id_user){
                return 1;
            } else { 
                return 0;
            }
        });
        return $this->users[count($this->users)-1]->id_user;
   }
}