Money = require "./Money"

class MoneyList
        
    constructor: () ->
        @money = []
        @money.push new Money(1, 5600, "Car payment", "true", "2015-12-11T17:30:00.000Z", 1)
        @money.push new Money(2, 1240, "Friday Night", "true", "2015-12-13T13:25:00.000Z", 1)
        @money.push new Money(3, 12840, "Wages", "false", "2015-12-15T08:00:00.000Z", 1)
        @money.push new Money(4, 940, "Friday Night", "true", "2015-12-13T13:25:00.000Z", 3)
        @money.push new Money(5, 760, "Christmas tree", "true", "2015-12-15T08:00:00.000Z", 4)
        return @

    addMoney: (moneydata) ->
        mny_array_id = @money.push new Money @getLastId()+1, moneydata.amount, moneydata.description, moneydata.spending, moneydata.date
        @money[mny_array_id-1]
       
    getAllMoney: -> @money
    
    getMoneyByUser: (userId) ->
        @money.filter (item) ->
            item.userId is parseInt(userId)

    getLastId: ->
        @sort()
        @money[@money.length-1].id_user
        
    findById: (id) ->
        for money in @money
            if money.moneyId is parseInt(id) then return money
        return false
       
    removeMoney: (money) ->
        i = @money.indexOf money
        @money.splice i,1
        
    sort: -> 
        @money.sort (a, b) -> 
            if (a.id_user < b.id_user)
                return -1;
            else if (a.id_user > b.id_user)
                return 1;
            else 
                return 0;

module.exports = MoneyList