User = require "./User"

class UserList
    
    constructor: () ->
        @users = []
        @users.push new User(1, "Antonín", "Neumann", "1989-09-07T00:00:00.000Z", "male")
        @users.push new User(2, "Iveta", "Dobrá", "1992-02-06T00:00:00.000Z", "female")
        @users.push new User(3, "Jan", "Novák", "1991-07-13T00:00:00.000Z", "male")
        @users.push new User(4, "Jonh", "Doe", "1999-09-09T00:00:00.000Z", "male") 
        return @
        
    addUser: (userdata) ->
        usr_array_id = @users.push new User @getLastId()+1, userdata.name, userdata.lastname, userdata.birthday, userdata.gender
        @users[usr_array_id-1]
        
    getAllUsers: ->  @users
        
    getMoney: (moneyList) ->
        for user in @users
            user.getMoney(moneyList)
        
    getLastId: ->
        @sort()
        if @users[@users.length-1]
            return @users[@users.length-1].id_user
        else
            return 1
        
    findById: (id) ->
        for user in @users
            if user.id_user is parseInt(id) then return user
        return false
        
    removeUser: (user) ->
        i = @users.indexOf user
        @users.splice i,1
        
    sort: -> 
        @users.sort (a, b) -> 
            if (a.id_user < b.id_user)
                return -1;
            else if (a.id_user > b.id_user)
                return 1;
            else 
                return 0;
    


        
module.exports = UserList